Get workflow
GET/workflows/:workflowId
Get a workflow; available as an Add-On Module
Request
Path Parameters
Workflow Identifier
Query Parameters
Site Identifier
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
Array [
Array [
-
a document attribute identified by
attributeKey -
a comparison between a document attribute value and another attribute-derived value
-
the document content type
-
the document path
- WorkflowStepConditionDocumentAttribute
- WorkflowStepConditionAttributeValueComparison
- WorkflowStepConditionDocumentStandardMetadata
- WorkflowStepConditionAttributeValueComparisonAttribute
- WorkflowStepConditionAttributeValueComparisonAggregate
FIRST- First value for the attributeLAST- Last value for the attributeSUM- Sum of numeric values for the attributeMIN- Minimum numeric value for the attributeMAX- Maximum numeric value for the attributeCOUNT- Count of values for the attribute-
PATH- Evaluate the document path -
CONTENT_TYPE- Evaluate the document content type EQ- EqualsNEQ- Not equalsCONTAINS- Contains substring or matching valueNOT_CONTAINS- Does not contain substring or matching valueSTARTS_WITH- Starts with valueENDS_WITH- Ends with valueGT- Greater thanGTE- Greater than or equalLT- Less thanLTE- Less than or equalEXISTS- Field existsNOT_EXISTS- Field does not existIN- Matches one of the provided valuesNOT_IN- Does not match any of the provided valuesIS_EMPTY- Source value is emptyIS_NOT_EMPTY- Source value is not empty]
Array [
-
a document attribute identified by
attributeKey -
a comparison between a document attribute value and another attribute-derived value
-
the document content type
-
the document path
- WorkflowStepConditionDocumentAttribute
- WorkflowStepConditionAttributeValueComparison
- WorkflowStepConditionDocumentStandardMetadata
- WorkflowStepConditionAttributeValueComparisonAttribute
- WorkflowStepConditionAttributeValueComparisonAggregate
FIRST- First value for the attributeLAST- Last value for the attributeSUM- Sum of numeric values for the attributeMIN- Minimum numeric value for the attributeMAX- Maximum numeric value for the attributeCOUNT- Count of values for the attribute-
PATH- Evaluate the document path -
CONTENT_TYPE- Evaluate the document content type EQ- EqualsNEQ- Not equalsCONTAINS- Contains substring or matching valueNOT_CONTAINS- Does not contain substring or matching valueSTARTS_WITH- Starts with valueENDS_WITH- Ends with valueGT- Greater thanGTE- Greater than or equalLT- Less thanLTE- Less than or equalEXISTS- Field existsNOT_EXISTS- Field does not existIN- Matches one of the provided valuesNOT_IN- Does not match any of the provided valuesIS_EMPTY- Source value is emptyIS_NOT_EMPTY- Source value is not empty]
- Move to another workflow step
- Complete successfully
- Be rejected
- Be cancelled
- Remain on the current step
]
- Move to another workflow step
- Complete successfully
- Be rejected
- Be cancelled
- Remain on the current step
Array [
]
]
Workflow name
Workflow description
Whether the Workflow is in use
Status of the Workflow
Possible values: [ACTIVE, INACTIVE]
steps
object[]
Workflow steps
Workflow Step Identifier
Workflow Step description
action
object
Status of the Document Action
Possible values: [COMPLETE, ASYNC_COMPLETE, FAILED, IN_QUEUE, PENDING, RUNNING, SKIPPED, FAILED_RETRY, MAX_RETRIES_REACHED, WAITING_FOR_RETRY]
Type of the Document Action
Possible values: [ANTIVIRUS, DOCUMENTTAGGING, FULLTEXT, MOVE, DELETE, CHECKSUM, NOTIFICATION, OCR, QUEUE, WEBHOOK, IDP, PUBLISH, PDFEXPORT, EVENTBRIDGE, RESIZE, LLMPROMPT, DATA_CLASSIFICATION, MALWARE_SCAN]
The number of times this action has already been attempted
The maximum number of retry attempts allowed for this action
Queue Id
Workflow Id
Workflow Step Id
Action message information
User who requested the Action
Inserted Timestamp
Started Timestamp
Completed Timestamp
parameters
object
Action parameters
metadata
object
Action metadata
queue
object
Queue Id
mappings
object[]
Mapping Identifier
decision
object
conditions
object[]
Workflow Step Conditions
all
object[]
Workflow Step Condition Criteria
source
object
required
Defines the document-derived source value to evaluate for a workflow condition criterion.
The source identifies where the value comes from before applying the operator. Supported sources include:
oneOf
Uses a document attribute as the source value for a workflow condition criterion.
The attribute is selected using attributeKey.
Document attribute key
Compares the value of one document attribute to another attribute-derived value on the same document.
The criterion operator is evaluated as: document.attribute[valueAttributeKey] OP comparison
Literal comparison value fields are not used with this source.
Identifies this source as an attribute-value comparison.
Possible values: [DOCUMENT_ATTRIBUTE_VALUE_COMPARISON]
Document attribute key containing the value to compare.
comparison
object
required
Defines the right-side comparison value for an attribute value comparison.
oneOf
Uses another document attribute value as the right-side comparison value.
Document attribute key containing the comparison value.
Uses an aggregate over another document attribute's values as the right-side comparison value.
Document attribute key whose values are aggregated for comparison.
Aggregate operation applied to document attribute values.
Values:
Possible values: [FIRST, LAST, SUM, MIN, MAX, COUNT]
Identifies the built-in document metadata field to evaluate for a workflow condition criterion.
Values:
string
Possible values: [PATH, CONTENT_TYPE]
Comparison operator used to evaluate a workflow condition criterion.
Values:
Possible values: [EQ, NEQ, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, GT, GTE, LT, LTE, EXISTS, NOT_EXISTS, IN, NOT_IN, IS_EMPTY, IS_NOT_EMPTY]
String comparison value
Numeric comparison value
Boolean comparison value
String values used for IN or NOT_IN comparisons
any
object[]
Workflow Step Condition Criteria
source
object
required
Defines the document-derived source value to evaluate for a workflow condition criterion.
The source identifies where the value comes from before applying the operator. Supported sources include:
oneOf
Uses a document attribute as the source value for a workflow condition criterion.
The attribute is selected using attributeKey.
Document attribute key
Compares the value of one document attribute to another attribute-derived value on the same document.
The criterion operator is evaluated as: document.attribute[valueAttributeKey] OP comparison
Literal comparison value fields are not used with this source.
Identifies this source as an attribute-value comparison.
Possible values: [DOCUMENT_ATTRIBUTE_VALUE_COMPARISON]
Document attribute key containing the value to compare.
comparison
object
required
Defines the right-side comparison value for an attribute value comparison.
oneOf
Uses another document attribute value as the right-side comparison value.
Document attribute key containing the comparison value.
Uses an aggregate over another document attribute's values as the right-side comparison value.
Document attribute key whose values are aggregated for comparison.
Aggregate operation applied to document attribute values.
Values:
Possible values: [FIRST, LAST, SUM, MIN, MAX, COUNT]
Identifies the built-in document metadata field to evaluate for a workflow condition criterion.
Values:
string
Possible values: [PATH, CONTENT_TYPE]
Comparison operator used to evaluate a workflow condition criterion.
Values:
Possible values: [EQ, NEQ, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, GT, GTE, LT, LTE, EXISTS, NOT_EXISTS, IN, NOT_IN, IS_EMPTY, IS_NOT_EMPTY]
String comparison value
Numeric comparison value
Boolean comparison value
String values used for IN or NOT_IN comparisons
transition
object
required
Defines the outcome of a workflow step transition.
A transition determines what happens after a workflow step finishes evaluating its conditions, decisions, or actions.
Depending on the transition type, the workflow may:
Some transition types require additional properties. For example,
when the type is STEP, a target step identifier must be provided
in the transition object.
Possible values: [STEP, RETRY, COMPLETE]
Target workflow step
defaultTransition
object
Defines the outcome of a workflow step transition.
A transition determines what happens after a workflow step finishes evaluating its conditions, decisions, or actions.
Depending on the transition type, the workflow may:
Some transition types require additional properties. For example,
when the type is STEP, a target step identifier must be provided
in the transition object.
Possible values: [STEP, RETRY, COMPLETE]
Target workflow step
decisions
object[]
Workflow Decisions
Type of Workflow Step Decision
Possible values: [APPROVE, REJECT]
Workflow Step to move to
{
"name": "string",
"description": "string",
"inUse": true,
"status": "ACTIVE",
"steps": [
{
"stepId": "string",
"description": "string",
"action": {
"status": "COMPLETE",
"type": "ANTIVIRUS",
"retryCount": 0,
"maxRetries": 0,
"queueId": "string",
"workflowId": "string",
"workflowStepId": "string",
"message": "string",
"userId": "string",
"insertedDate": "string",
"startDate": "string",
"completedDate": "string",
"parameters": {},
"metadata": {}
},
"queue": {
"queueId": "string",
"approvalGroups": [
"string"
]
},
"mappings": [
{
"mappingId": "string"
}
],
"decision": {
"conditions": [
{
"all": [
{
"source": {},
"operator": "EQ",
"stringValue": "string",
"numberValue": 0,
"booleanValue": true,
"stringValues": [
"string"
]
}
],
"any": [
{
"source": {},
"operator": "EQ",
"stringValue": "string",
"numberValue": 0,
"booleanValue": true,
"stringValues": [
"string"
]
}
],
"transition": {
"type": "STEP",
"stepId": "string"
}
}
],
"defaultTransition": {
"type": "STEP",
"stepId": "string"
}
},
"decisions": [
{
"type": "APPROVE",
"nextStepId": "string"
}
]
}
]
}